//========================================================================
// Skyline Robotics PowerStep stepper motor driver control software
//
// IO stubs for generic Linux, just so we can compile on a generic box
//
// AUTHOR:  Gabor Nagy
// DATE:    2016-Jan-03 15:15:11
//
// Copyright (C) 1996-2026 By Gabor Nagy. All rights reserved.
//========================================================================
#ifndef SR_IOStub_h
#define SR_IOStub_h


#define Sr_SetToIn(m)\
do\
{\
} while(0)


#define Sr_SetToOut(m)\
do\
{\
} while(0)


#define _DriverBit0(mDriver, m)
#define _DriverBit1(mDriver, m)

#include <sys/mman.h>

typedef struct
{
} SrGPIO;

typedef struct
{
} SrPWM;


//
// POutput  If TRUE, make pin an output, otherwise make it an input
//
static inline void Sr_GPIOSetDirection(SrGPIO* PGPIO, const int PBank, const int PPin, const EBool POutput)
{
}


static inline void Sr_GPIO(SrGPIO* PGPIO)
{
}

#endif // SR_IOStub_h
